Jack2 1.9.12

Public Member Functions | Static Public Member Functions | List of all members
Jack::JackWinThread Class Reference

Windows threads. More...

`#include <JackWinThread.h>`

Inheritance diagram for Jack::JackWinThread:

## Public Member Functions
| JackWinThread (JackRunnableInterface *runnable)
int | Start ()
int | StartSync ()
int | Kill ()
int | Stop ()
void | Terminate ()
int | AcquireRealTime ()
int | AcquireSelfRealTime ()
int | AcquireRealTime (int priority)
int | AcquireSelfRealTime (int priority)
int | DropRealTime ()
int | DropSelfRealTime ()
jack_native_thread_t | GetThreadID ()
bool | IsThread ()
Public Member Functions inherited from Jack::detail::JackThreadInterface
| JackThreadInterface (JackRunnableInterface *runnable, int priority, bool real_time, int cancellation)
kThreadState | GetStatus ()
void | SetStatus (kThreadState status)
void | SetParams (UInt64 period, UInt64 computation, UInt64 constraint)
int | Start ()
int | StartSync ()
int | Kill ()
int | Stop ()
void | Terminate ()
int | AcquireRealTime ()
int | AcquireSelfRealTime ()
int | AcquireRealTime (int priority)
int | AcquireSelfRealTime (int priority)
int | DropRealTime ()
int | DropSelfRealTime ()
jack_native_thread_t | GetThreadID ()
bool | IsThread ()

## Static Public Member Functions
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority)
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority, UInt64 period, UInt64 computation, UInt64 constraint)
static int | DropRealTimeImp (jack_native_thread_t thread)
static int | StartImp (jack_native_thread_t *thread, int priority, int realtime, void *(*start_routine)(void *), void *arg)
static int | StartImp (jack_native_thread_t *thread, int priority, int realtime, ThreadCallback start_routine, void *arg)
static int | StopImp (jack_native_thread_t thread)
static int | KillImp (jack_native_thread_t thread)
Static Public Member Functions inherited from Jack::JackMMCSS
static int | MMCSSAcquireRealTime (jack_native_thread_t thread, int priority)
static int | MMCSSDropRealTime (jack_native_thread_t thread)
Static Public Member Functions inherited from Jack::detail::JackThreadInterface
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority)
static int | AcquireRealTimeImp (jack_native_thread_t thread, int priority, UInt64 period, UInt64 computation, UInt64 constraint)
static int | DropRealTimeImp (jack_native_thread_t thread)
static int | StartImp (jack_native_thread_t *thread, int priority, int realtime, void *(*start_routine)(void *), void *arg)
static int | StopImp (jack_native_thread_t thread)
static int | KillImp (jack_native_thread_t thread)

## Additional Inherited Members
Public Types inherited from Jack::detail::JackThreadInterface
enum | kThreadState { kIdle, kStarting, kIniting, kRunning }
Protected Attributes inherited from Jack::detail::JackThreadInterface
JackRunnableInterface * | fRunnable
int | fPriority
bool | fRealTime
volatile kThreadState | fStatus
int | fCancellation

## Detailed Description

Windows threads.

Definition at line 38 of file JackWinThread.h.

The documentation for this class was generated from the following files:

- JackWinThread.h
- JackWinThread.cpp